<!--
function isCharsInBag(inputchar, bagchar)
{ 
  var ii,cc;
  for (ii = 0; ii < inputchar.length; ii++)
  { 
  cc = inputchar.charAt(ii);//字符串inputchar中的字符
    if (bagchar.indexOf(cc) > -1)
    {
      return "no";
    }
    else
    {
      return "yes";
    }
  }
}

function com_true()
{
  var errorcharname="><,[>{}?/+=|\\'\":;~!#$%()`@"
  var errorcharnum="0123456789"

  if (com_frm.cname.value=="")
  {
    alert("请输入 贵公司名称 ！");
    com_frm.cname.focus();
    return false;
  }
  var wr_fund=com_frm.fund.value
  var errorfund=isCharsInBag(wr_fund,errorcharnum)
  if (wr_fund=="" || errorfund=="yes")
  {
    alert("请输入 贵公司注册资金！并且只能为数字！");
    com_frm.fund.focus();
    return false;
  }
  var wr_yuangong=com_frm.yuangong.value
  var erroryuangong=isCharsInBag(wr_yuangong,errorcharnum)
  if (wr_yuangong=="" || erroryuangong=="yes")
  {
    alert("请输入 贵公司员工人数！并且只能为数字！");
    com_frm.yuangong.focus();
    return false;
  }
  if (com_frm.faren.value=="")
  {
    alert("请输入 贵公司法人代表！");
    com_frm.faren.focus();
    return false;
  }
  if (com_frm.fdate.value=="")
  {
    alert("请输入 贵公司成立日期！格式为1999/01/01。");
    com_frm.fdate.focus();
    return false;
  }
  if ( com_frm.jianj.value=="" || com_frm.jianj.value>250 )
  {
    alert("请输入 贵公司简介！不大于250字。");
    com_frm.jianj.focus();
    return false;
  }
  if (com_frm.address.value=="")
  {
    alert("请输入 贵公司通讯地址 ！");
    com_frm.address.focus();
    return false;
  }
  var wr_zip=com_frm.zip.value
  var errorzip=isCharsInBag(wr_zip,errorcharnum)
  if (wr_zip=="" || com_frm.zip.value.length<6 || errorzip=="yes")
  {
    alert("邮政编码不能为空，请输入不少于6位的数字！");
    com_frm.zip.focus();
    return false;
  }
  if (com_frm.pname.value=="")
  {
    alert("请输入 贵公司联系人姓名 ！");
    com_frm.pname.focus();
    return false;
  }
  var wr_phone=com_frm.phone.value
  var errorphone=isCharsInBag(wr_phone,errorcharnum)
  if (wr_phone=="" || errorphone=="yes")
  {
    alert("联系电话不能为空，并只能为数字！\n\n请重新输入！");
    com_frm.phone.focus();
    return false;
  }
  var wr_email=com_frm.email.value
  if(wr_email=="")
  {
    alert("请输入Email地址！");
	com_frm.email.focus();
	return false;
  }
  else
  {
	var AtSym = wr_email.indexOf('@')
	var Period = wr_email.lastIndexOf('.') 
	var Space = wr_email.indexOf(' ') 
	var Length = wr_email.length - 1
	if ((AtSym < 1) || (Period <= AtSym+1) || (Period == Length ) || (Space != -1))
	{
	alert('你的 eMail地址 格式不对！\r\n请重新输入。');
	com_frm.email.focus();
	return false;
	}
  }
}
-->